Accept (follow) an inbox item
curl --request POST \
--url https://app.govly.com/api/tools/v1/inbox_items/{id}/accept \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.govly.com/api/tools/v1/inbox_items/{id}/accept"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.govly.com/api/tools/v1/inbox_items/{id}/accept', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"matchableId": "<string>",
"origins": [
{
"savedSearchId": "<string>",
"savedSearchName": "<string>"
}
],
"title": "<string>",
"description": "<string>",
"fitReason": "<string>",
"fitScore": 123,
"identifier": "<string>",
"recordType": "<string>",
"deadlineAt": "2023-11-07T05:31:56Z",
"postedOrAwardedDate": "2023-12-25",
"publicEntityNames": [
"<string>"
],
"isoCode": "<string>",
"naicsCodes": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"highlight": {}
},
"meta": {
"state": "<string>",
"feedback": "<string>",
"matchableType": "<string>",
"matchableId": "<string>",
"final": true,
"workspaceId": "<string>"
}
}{
"errors": [
{
"status": "<string>",
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}{
"errors": [
{
"status": "<string>",
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}{
"errors": [
{
"status": "<string>",
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}Inbox
Accept (follow) an inbox item
Follow the underlying opportunity, award, or signal and create or reuse its default workspace. Accept is FINAL and cannot be reversed with restore. The response meta includes the resulting workspaceId.
POST
/
api
/
tools
/
v1
/
inbox_items
/
{id}
/
accept
Accept (follow) an inbox item
Authorizations
bearerApiKeyheaderApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Was this page helpful?
⌘I